package com.ruoyi.system.domain;

import java.util.List;
import java.util.Date;

import jdk.nashorn.internal.objects.annotations.Getter;
import jdk.nashorn.internal.objects.annotations.Setter;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 非公企业信息对象 orhon_fgqy
 *
 * @author ruoyi
 * @date 2020-07-16
 */

public class OrhonFgqy extends com.ruoyi.common.core.domain.BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** null */
    private String id;

    /** 非公企业名称 */
    @com.ruoyi.common.annotation.Excel(name = "非公企业名称")
    private String mc;

    /** 非公企业区域 */
    @com.ruoyi.common.annotation.Excel(name = "非公企业区域")
    private Long deptId;

    /** 非公企业类型类型 */
    @com.ruoyi.common.annotation.Excel(name = "非公企业类型类型")
    private String type;

    /** 所在地 */
    @com.ruoyi.common.annotation.Excel(name = "所在地")
    private String szd;

    /** 资产总额（万元） */
    @com.ruoyi.common.annotation.Excel(name = "资产总额", readConverterExp = "万=元")
    private String zcze;

    /** 年营业收入（万元） */
    @com.ruoyi.common.annotation.Excel(name = "年营业收入", readConverterExp = "万=元")
    private String nyysr;

    /** 从业人员数量（名） */
    @com.ruoyi.common.annotation.Excel(name = "从业人员数量", readConverterExp = "名=")
    private String cyrs;

    /** 党员数 */
    @com.ruoyi.common.annotation.Excel(name = "党员数")
    private String dys;

    /** 法定代表人姓名 */
    @com.ruoyi.common.annotation.Excel(name = "法定代表人姓名")
    private String shzzxm;

    /** 法定代表人电话 */
    @com.ruoyi.common.annotation.Excel(name = "法定代表人电话")
    private String shzzdh;

    /** 是否党员 */
    @com.ruoyi.common.annotation.Excel(name = "是否党员")
    private String isdy;

    /** 是否建立工会 */
    @com.ruoyi.common.annotation.Excel(name = "是否建立工会")
    private String isgh;

    /** 是否建立团组织 */
    @com.ruoyi.common.annotation.Excel(name = "是否建立团组织")
    private String istzz;

    /** 党组织类型 */
    @com.ruoyi.common.annotation.Excel(name = "党组织类型")
    private String dzzlx;

    /** 是否有活动阵地 */
    @com.ruoyi.common.annotation.Excel(name = "是否有活动阵地")
    private String ishdzd;

    /** 党组织建立时间 */
    @com.ruoyi.common.annotation.Excel(name = "党组织建立时间", width = 30, dateFormat = "yyyy-MM-dd")
    private java.util.Date dzzjlsj;

    /** 上级党组织 */
    @com.ruoyi.common.annotation.Excel(name = "上级党组织")
    private String sjdzz;

    /** 党组织书记姓名 */
    @com.ruoyi.common.annotation.Excel(name = "党组织书记姓名")
    private String dzzsjxm;

    /** 党组织书记电话 */
    @com.ruoyi.common.annotation.Excel(name = "党组织书记电话")
    private String dzzsjdh;

    /** 登记方式 */
    @com.ruoyi.common.annotation.Excel(name = "登记方式")
    private String djfs;

    /** 党建指导员姓名 */
    @com.ruoyi.common.annotation.Excel(name = "党建指导员姓名")
    private String djzdyxm;

    /** 党建指导员电话 */
    @com.ruoyi.common.annotation.Excel(name = "党建指导员电话")
    private String djzdydh;

    /** 未建立党组织原因 */
    @com.ruoyi.common.annotation.Excel(name = "未建立党组织原因")
    private String wjlyy;

    /** 集中组建阶段具体措施 */
    @com.ruoyi.common.annotation.Excel(name = "集中组建阶段具体措施")
    private String jzzjyysm;

    @com.ruoyi.common.annotation.Excel(name = "是否有党组织")
    private String isdzz;

    @com.ruoyi.common.annotation.Excel(name = "是否双强六好")
    private String issqlh;

    /** 注册资本(金)币种 */
    @com.ruoyi.common.annotation.Excel(name = "注册资本(金)币种")
    private String zcbjbz;

    /** 注册号 */
    @com.ruoyi.common.annotation.Excel(name = "注册号")
    private String zch;

    /** 经营(驻在)期限自 */
    @com.ruoyi.common.annotation.Excel(name = "经营(驻在)期限自")
    private Date jyqxz;

    /** 经营(驻在)期限至 */
    @com.ruoyi.common.annotation.Excel(name = "经营(驻在)期限至")
    private Date jyqxzhi;

    /** 行业门类 */
    @com.ruoyi.common.annotation.Excel(name = "行业门类")
    private String hyml;

    /** 市场主体类型 */
    @com.ruoyi.common.annotation.Excel(name = "市场主体类型")
    private String scztlx;

    /** 登记机关 */
    @com.ruoyi.common.annotation.Excel(name = "登记机关")
    private String djjg;

    /** 登记机关 */
    @com.ruoyi.common.annotation.Excel(name = "登记机关中文名称")
    private String djjgzwmc;

    /** 登记状态 */
    @com.ruoyi.common.annotation.Excel(name = "登记状态")
    private String djzt;

    /** 注册资本(金)万元 */
    @com.ruoyi.common.annotation.Excel(name = "注册资本(金)万元")
    private String zczbwy;

    /** 数据汇总时间 */
    @com.ruoyi.common.annotation.Excel(name = "数据汇总时间")
    private Date sjhzsj;

    /** 成立日期 */
    @com.ruoyi.common.annotation.Excel(name = "成立日期")
    private Date clrq;

    /** 统一社会信用代码 */
    @com.ruoyi.common.annotation.Excel(name = "统一社会信用代码")
    private String tyshxydm;

    /** 经营范围 */
    @com.ruoyi.common.annotation.Excel(name = "经营范围")
    private String jyfw;

    /** 住所 */
    @com.ruoyi.common.annotation.Excel(name = "住所")
    private String zs;

    /** 党组织名称 */
    @com.ruoyi.common.annotation.Excel(name = "党组织名称")
    private String dzzmc;

    /** 党组织属地关系 */
    @com.ruoyi.common.annotation.Excel(name = "党组织属地关系")
    private String dzzsdgx;

    /** 换届信息 */
    @com.ruoyi.common.annotation.Excel(name = "换届信息")
    private String hjxx;

    /** 党费账户 */
    @com.ruoyi.common.annotation.Excel(name = "党费账户")
    private String dfzh;

    /** 有无党员 */
    @com.ruoyi.common.annotation.Excel(name = "有无党员")
    private String ywdy;

    /** 积极分子数量 */
    @com.ruoyi.common.annotation.Excel(name = "积极分子数量")
    private String jjfzsl;

    /** 发展对象数量 */
    @com.ruoyi.common.annotation.Excel(name = "发展对象数量")
    private String fzdxsl;

    /** 党费收缴标准 */
    @com.ruoyi.common.annotation.Excel(name = "党费收缴标准")
    private String dfsjbz;

    /** 活动阵地面积 */
    @com.ruoyi.common.annotation.Excel(name = "活动阵地面积")
    private String hdzdmj;

    /** 党建经费 */
    @com.ruoyi.common.annotation.Excel(name = "党建经费")
    private String djjf;

    /** 是否派党建指导员 */
    @com.ruoyi.common.annotation.Excel(name = "是否派党建指导员")
    private String sfpdjzdy;

    /** 星级评定结果 */
    @com.ruoyi.common.annotation.Excel(name = "星级评定结果")
    private String xjpdjg;

    /** 奖惩情况 */
    @com.ruoyi.common.annotation.Excel(name = "奖惩情况")
    private String jcqk;

    /** 党组织办公地址 */
    @com.ruoyi.common.annotation.Excel(name = "党组织办公地址")
    private String dzzbgdz;

    /** 联系电话及传真号 */
    @com.ruoyi.common.annotation.Excel(name = "联系电话及传真号")
    private String lxdhjczh;

    /** 电子邮箱 */
    @com.ruoyi.common.annotation.Excel(name = "电子邮箱")
    private String dzyx;

    /** 年内发展党员数 */
    @com.ruoyi.common.annotation.Excel(name = "年内发展党员数")
    private String nnfzdys;


    public String getNnfzdys() {
        return nnfzdys;
    }

    public void setNnfzdys(String nnfzdys) {
        this.nnfzdys = nnfzdys;
    }

    public String getDjjgzwmc() {
        return djjgzwmc;
    }

    public void setDjjgzwmc(String djjgzwmc) {
        this.djjgzwmc = djjgzwmc;
    }

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }
    public void setMc(String mc)
    {
        this.mc = mc;
    }

    public String getMc()
    {
        return mc;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setType(String type)
    {
        this.type = type;
    }

    public String getType()
    {
        return type;
    }
    public void setSzd(String szd)
    {
        this.szd = szd;
    }

    public String getSzd()
    {
        return szd;
    }
    public void setZcze(String zcze)
    {
        this.zcze = zcze;
    }

    public String getZcze()
    {
        return zcze;
    }
    public void setNyysr(String nyysr)
    {
        this.nyysr = nyysr;
    }

    public String getNyysr()
    {
        return nyysr;
    }
    public void setCyrs(String cyrs)
    {
        this.cyrs = cyrs;
    }

    public String getCyrs()
    {
        return cyrs;
    }
    public void setDys(String dys)
    {
        this.dys = dys;
    }

    public String getDys()
    {
        return dys;
    }
    public void setShzzxm(String shzzxm)
    {
        this.shzzxm = shzzxm;
    }

    public String getShzzxm()
    {
        return shzzxm;
    }
    public void setShzzdh(String shzzdh)
    {
        this.shzzdh = shzzdh;
    }

    public String getShzzdh()
    {
        return shzzdh;
    }
    public void setIsdy(String isdy)
    {
        this.isdy = isdy;
    }

    public String getIsdy()
    {
        return isdy;
    }
    public void setIsgh(String isgh)
    {
        this.isgh = isgh;
    }

    public String getIsgh()
    {
        return isgh;
    }
    public void setIstzz(String istzz)
    {
        this.istzz = istzz;
    }

    public String getIstzz()
    {
        return istzz;
    }
    public void setDzzlx(String dzzlx)
    {
        this.dzzlx = dzzlx;
    }

    public String getDzzlx()
    {
        return dzzlx;
    }
    public void setIshdzd(String ishdzd)
    {
        this.ishdzd = ishdzd;
    }

    public String getIshdzd()
    {
        return ishdzd;
    }
    public void setDzzjlsj(java.util.Date dzzjlsj)
    {
        this.dzzjlsj = dzzjlsj;
    }

    public java.util.Date getDzzjlsj()
    {
        return dzzjlsj;
    }
    public void setSjdzz(String sjdzz)
    {
        this.sjdzz = sjdzz;
    }

    public String getSjdzz()
    {
        return sjdzz;
    }
    public void setDzzsjxm(String dzzsjxm)
    {
        this.dzzsjxm = dzzsjxm;
    }

    public String getDzzsjxm()
    {
        return dzzsjxm;
    }
    public void setDzzsjdh(String dzzsjdh)
    {
        this.dzzsjdh = dzzsjdh;
    }

    public String getDzzsjdh()
    {
        return dzzsjdh;
    }
    public void setDjfs(String djfs)
    {
        this.djfs = djfs;
    }

    public String getDjfs()
    {
        return djfs;
    }
    public void setDjzdyxm(String djzdyxm)
    {
        this.djzdyxm = djzdyxm;
    }

    public String getDjzdyxm()
    {
        return djzdyxm;
    }
    public void setDjzdydh(String djzdydh)
    {
        this.djzdydh = djzdydh;
    }

    public String getDjzdydh()
    {
        return djzdydh;
    }
    public void setWjlyy(String wjlyy)
    {
        this.wjlyy = wjlyy;
    }

    public String getWjlyy()
    {
        return wjlyy;
    }
    public void setJzzjyysm(String jzzjyysm)
    {
        this.jzzjyysm = jzzjyysm;
    }

    public String getJzzjyysm()
    {
        return jzzjyysm;
    }

    public String getIsdzz() {
        return isdzz;
    }

    public void setIsdzz(String isdzz) {
        this.isdzz = isdzz;
    }

    public String getIssqlh() {
        return issqlh;
    }

    public void setIssqlh(String issqlh) {
        this.issqlh = issqlh;
    }

    @Override
    public String toString() {
        return new org.apache.commons.lang3.builder.ToStringBuilder(this, org.apache.commons.lang3.builder.ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("mc", getMc())
            .append("deptId", getDeptId())
            .append("type", getType())
            .append("szd", getSzd())
            .append("zcze", getZcze())
            .append("nyysr", getNyysr())
            .append("cyrs", getCyrs())
            .append("dys", getDys())
            .append("shzzxm", getShzzxm())
            .append("shzzdh", getShzzdh())
            .append("isdy", getIsdy())
            .append("isgh", getIsgh())
            .append("istzz", getIstzz())
            .append("dzzlx", getDzzlx())
            .append("ishdzd", getIshdzd())
            .append("dzzjlsj", getDzzjlsj())
            .append("sjdzz", getSjdzz())
            .append("dzzsjxm", getDzzsjxm())
            .append("dzzsjdh", getDzzsjdh())
            .append("djfs", getDjfs())
            .append("djzdyxm", getDjzdyxm())
            .append("djzdydh", getDjzdydh())
            .append("wjlyy", getWjlyy())
            .append("jzzjyysm", getJzzjyysm())
            .toString();
    }
}
